package Modules::Scan::secureoper;

use strict;
use warnings;

my @masks;

sub stats
{
	#main::message("Percentage CGI users:             \002$per%\002");
}

sub handle_join
{

}

sub handle_part
{

}


sub scan_user
{
	my ($ident,$host,$serv,$nick,$gecos,$print_always) = @_;
}


sub handle_notice
{
	my ($nick,$ident,$host,$chan,$notice) = @_;
}


sub handle_mode
{
	my ($nick,$target,$params) = @_;

	if ($target !~ /^(\#|\&|\!)/)	# don't bounce any channel modes
	{
		if ($params =~ /^\+(o|O|A|N|q|S|b|a|C|g|h|v|H|I|W)/) # these are opermodes for unreal - someone make me into a config opt
		{
			my $allow = 0;
			foreach my $nickmask (@masks)
			{
				chomp($nickmask);
				if ($target =~ /^$nickmask$/i)
				{
					$allow = 1;
				}
			}
			if ($allow)
			{
				main::message("\002Allowed\002 an oper mode change: $target got modes $params");
				return;
			}
			else
			{
				$params =~ s/\+/-/;
				$params =~ s/x|w|i|s|z|B|g|d//; # remove safe modes

				main::rawirc(":$main::botnick SVSMODE $target $params"); # bounce modes
				$params =~ s/-//;
				main::notice($target,"You are not permitted these usermodes. Defender has removed the modes: \002$params\002. If you are an oper, please change to your \002main registered nickname\002 before opering.");
				main::rawirc("GLOBOPS :Warning! \002$target\002 was given modes \002+$params\002, and is not in the access list!");
				return;
			}
		}
	}
}


sub handle_privmsg
{
        my ($nick,$ident,$host,$chan,$msg) = @_;
}


sub init {
	open CONFIGFILE, "$main::dir/opernicks.conf";
	@masks = <CONFIGFILE>;
	close CONFIGFILE;
}

1;
